Bug 472668 - Review Request: perl-Captcha-reCAPTCHA - Perl implementation of the reCAPTCHA API
Review Request: perl-Captcha-reCAPTCHA - Perl implementation of the reCAPTCHA...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 03:38 EST by Iain Arnell
Modified: 2008-11-26 21:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 21:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-23 03:38:01 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Captcha-reCAPTCHA.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Captcha-reCAPTCHA-0.92-1.fc9.src.rpm
Description: 
reCAPTCHA is a hybrid mechanical turk and captcha that allows visitors who
complete the captcha to assist in the digitization of books.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Parag AN(पराग) 2008-11-23 05:14:59 EST
Review:
+ package builds in mock (rawhide i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=946142
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
36b00fa37fd8a17367e1aa2f3b218f34  Captcha-reCAPTCHA-0.92.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=6, Tests=45,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.69 cusr  0.03 csys =  0.77 CPU)
+ Package  perl-Captcha-reCAPTCHA-0.92-1.fc11 =>
 Provides: perl(Captcha::reCAPTCHA) = 0.92
 Requires: perl(Carp) perl(HTML::Tiny) perl(LWP::UserAgent) perl(constant) perl(strict) perl(warnings)

APPROVED.
Comment 2 Iain Arnell 2008-11-23 07:39:52 EST
New Package CVS Request
=======================
Package Name: perl-Captcha-reCAPTCHA
Short Description: Perl implementation of the reCAPTCHA API
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2008-11-25 11:48:03 EST
cvs done
Comment 4 Fedora Update System 2008-11-26 09:30:08 EST
perl-Captcha-reCAPTCHA-0.92-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Captcha-reCAPTCHA-0.92-1.fc10
Comment 5 Fedora Update System 2008-11-26 09:30:11 EST
perl-Captcha-reCAPTCHA-0.92-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Captcha-reCAPTCHA-0.92-1.fc9
Comment 6 Fedora Update System 2008-11-26 21:12:00 EST
perl-Captcha-reCAPTCHA-0.92-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-26 21:12:09 EST
perl-Captcha-reCAPTCHA-0.92-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.